/*------------------------------------*\
    #ARTICLE
\*------------------------------------*/
/**
 * The article, containing meta information about it,
 * as well as text and image objects.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}article,
%#{$inuit-namespace}article {
    @include grid-row();
}

.#{$inuit-namespace}article__header,
%#{$inuit-namespace}article__header {

}

.#{$inuit-namespace}article__headline,
%#{$inuit-namespace}article__headline {
    font-size: $inuit-heading-size-1;

    @media #{$medium-up} {
        font-size: $inuit-heading-size-1-medium-up;
    }

    @media #{$large-up} {
        font-size: $inuit-heading-size-1-medium-up;
    }
}

.#{$inuit-namespace}article__meta,
%#{$inuit-namespace}article__meta {
    border-bottom: 1px solid $drk-color-light-grey;
    display: inline-block;
    margin: 1em 0 ($drk-base-unit * .5);

    @media #{$medium-up} {
        width: grid-calc(4, 9);
        margin-top: 0;
    }
}
